import type { MemoryCache } from 'cache-manager';
import type { RedisCache } from 'cache-manager-ioredis-yet';
export declare class CacheService {
    private cache;
    init(): Promise<void>;
    destroy(): Promise<void>;
    getCache(): Promise<RedisCache | MemoryCache | undefined>;
    get<T>(key: string): Promise<T>;
    set<T>(key: string, value: T, ttl?: number): Promise<void>;
    delete(key: string): Promise<void>;
    reset(): Promise<void>;
    keys(): Promise<string[]>;
    setMany<T>(values: Array<[string, T]>, ttl?: number): Promise<void>;
    getMany<T>(keys: string[]): Promise<Array<[string, T]>>;
    deleteMany(keys: string[]): Promise<void>;
}
